<?php

declare(strict_types=1);

namespace Evidente\Aircash\Api\Data\Transaction;

interface ConfirmationResultInterface
{
    public const FIELD_PARTNER_ID = 'PartnerID';
    public const FIELD_PARTNER_TRANSACTION_ID = 'PartnerTransactionID';
    public const FIELD_AMOUNT = 'Amount';
    public const FIELD_CURRENCY_ID = 'CurrencyID';
    public const FIELD_AIRCASH_TRANSACTION_ID = 'AircashTransactionID';
    public const FIELD_SIGNATURE = 'Signature';

    public function getPartnerID(): string;

    public function getPartnerTransactionID(): string;

    public function getAmount(): float;

    public function getCurrencyID(): int;

    public function getAircashTransactionID(): string;

    public function getSignature(): string;
}
