<?php

declare(strict_types=1);

namespace Evidente\Aircash\Api\Data\Transaction;

use Evidente\Aircash\Api\WebsiteAwareInterface;

interface RefundRequestInterface extends WebsiteAwareInterface
{
    /**
     * @return string
     */
    public function getPartnerID(): string;

    /**
     * @return string
     */
    public function getPartnerTransactionID(): string;

    /**
     * @return string
     */
    public function getRefundPartnerTransactionID(): string;

    /**
     * @return float
     */
    public function getAmount(): float;

    /**
     * @return array
     */
    public function toArray(): array;
}
