<?php

declare(strict_types=1);

namespace Evidente\Aircash\Block\Adminhtml\System\Config\Form;

use Magento\Config\Block\System\Config\Form\Field;
use Magento\Framework\Data\Form\Element\AbstractElement;

/**
 * @SuppressWarnings(CamelCase)
 */
class ActionButtonField extends Field
{
    // phpcs:ignore
    protected function _getElementHtml(AbstractElement $element)
    {
        $block = $this
            ->_layout
            ->createBlock(ActionButtonBlock::class);

        $block->setData('select_html', parent::_getElementHtml($element));

        return $block->toHtml();
    }
}
