<?php

declare(strict_types=1);

namespace Evidente\Aircash\Controller\Adminhtml\Activation;

use Magento\Backend\App\Action;
use Magento\Backend\Model\View\Result\Page;
use Magento\Framework\Controller\ResultFactory;

class Index extends Action
{
    const ADMIN_RESOURCE = 'Evidente_Aircash::aircash_activation';

    /**
     * @inheritDoc
     */
    public function execute()
    {
        /** @var Page $resultPage */
        $resultPage = $this->resultFactory->create(ResultFactory::TYPE_PAGE);

        $resultPage
            ->getConfig()
            ->getTitle()
            ->set(__('Aircash Partner Activation'));

        return $resultPage;
    }
}
