<?php

declare(strict_types=1);

namespace Evidente\Aircash\Data\Transaction;

use Evidente\Aircash\Api\Data\Transaction\CancellationResultInterface;

class CancellationResult implements CancellationResultInterface
{
    private $cancelTransactionID;

    public function __construct(string $cancelTransactionID)
    {
        $this->cancelTransactionID = $cancelTransactionID;
    }

    /**
     * @inheritDoc
     */
    public function getCancelTransactionID(): string
    {
        return $this->cancelTransactionID;
    }
}
