<?php

declare(strict_types=1);

namespace Evidente\Aircash\Data\Transaction;

use Evidente\Aircash\Api\Data\Transaction\CodeResultInterface;

class CodeResult implements CodeResultInterface
{
    /**
     * @var string
     */
    private $codeLink;

    public function __construct(string $codeLink)
    {
        $this->codeLink = $codeLink;
    }

    /**
     * @inheritDoc
     */
    public function getCodeLink(): string
    {
        return $this->codeLink;
    }
}
