<?php

declare(strict_types=1);

namespace Evidente\Aircash\Test\Unit\Factory\Partner;

use Evidente\Aircash\Factory\Partner\CertificateFactory;
use PHPUnit\Framework\TestCase;

class CertificateFactoryTest extends TestCase
{
    public function testCreate()
    {
        $subject = new CertificateFactory();

        list($publicKey, $privateKey, $passphrase) = $subject->create();

        $this->assertNotEmpty($publicKey);
        $this->assertNotEmpty($privateKey);
        $this->assertNotEmpty($passphrase);
    }
}
