<?php

declare(strict_types=1);

namespace Evidente\Aircash\Api\Data\Transaction;

use Evidente\Aircash\Api\WebsiteAwareInterface;

interface CancellationRequestInterface extends WebsiteAwareInterface
{
    /**
     * @return string
     */
    public function getPartnerID(): string;

    /**
     * @return string
     */
    public function getPartnerTransactionID(): string;

    public function toArray(): array;
}
