<?php

declare(strict_types=1);

namespace Evidente\Aircash\Api\Factory\Transaction;

use Evidente\Aircash\Api\Data\Transaction\CancellationRequestInterface;
use Evidente\Aircash\Exception\InvalidInputException;
use Magento\Sales\Api\Data\OrderInterface;

interface CancellationRequestFactoryInterface
{
    /**
     * @throws InvalidInputException
     */
    public function createFromOrder(OrderInterface $order): CancellationRequestInterface;
}
