<?php

declare(strict_types=1);

namespace Evidente\Aircash\Api\Factory\Transaction;

use Evidente\Aircash\Api\Data\Transaction\ConfirmationResultInterface;
use Evidente\Aircash\Exception\InvalidInputException;
use Evidente\Aircash\Exception\InvalidSignatureException;

interface ConfirmationResultFactoryInterface
{
    /**
     * @throws InvalidInputException
     * @throws InvalidSignatureException
     */
    public function createFromRequest(): ConfirmationResultInterface;
}
