<?php

declare(strict_types=1);

namespace Evidente\Aircash\Api\Factory\Transaction;

use Evidente\Aircash\Api\Data\Transaction\RefundRequestInterface;
use Evidente\Aircash\Exception\InvalidInputException;
use Magento\Sales\Api\Data\CreditmemoInterface;

interface RefundRequestFactoryInterface
{
    /**
     * @throws InvalidInputException
     */
    public function createFromCreditMemo(CreditmemoInterface $creditMemo): RefundRequestInterface;
}
