<?php

declare(strict_types=1);

namespace Evidente\Aircash\Api\Rest;

use Evidente\Aircash\Api\Data\Transaction\ConfirmationResponseInterface;
use Magento\Framework\Webapi\Exception as WebApiException;

interface TransactionConfirmationHandlerInterface
{
    /**
     * @throws WebApiException
     * @return ConfirmationResponseInterface
     */
    public function execute(): ConfirmationResponseInterface;
}
