<?php

declare(strict_types=1);

namespace Evidente\Aircash\Api;

use Evidente\Aircash\Api\Data\Transaction\ConfirmationResultInterface;
use Evidente\Aircash\Exception\TransactionProcessorException;

interface TransactionProcessorInterface
{
    /**
     * @throws TransactionProcessorException
     */
    public function process(ConfirmationResultInterface $result): void;
}
