<?php

declare(strict_types=1);

namespace Evidente\Aircash\Test\Unit\Data\Transaction;

use Evidente\Aircash\Data\Transaction\CodeResult;
use PHPUnit\Framework\TestCase;

/**
 * @SuppressWarnings(PHPMD)
 */
class CodeResultTest extends TestCase
{
    /**
     * @covers \Evidente\Aircash\Data\Transaction\CodeResult::getCodeLink
     */
    public function testData()
    {
        // given
        $expectedLink = 'https://www.example.com';

        // when
        $model = new CodeResult($expectedLink);

        // then
        $this->assertSame($expectedLink, $model->getCodeLink());
    }
}
