<?php

declare(strict_types=1);

namespace Evidente\Aircash\Test\Unit\Data\Transaction;

use Evidente\Aircash\Data\Transaction\ConfirmationResponse;
use PHPUnit\Framework\TestCase;

/**
 * @SuppressWarnings(PHPMD)
 */
class ConfirmationResponseTest extends TestCase
{
    public function testGetMessage()
    {
        // given
        $expectedMessage = 'OK';

        // when
        $model = new ConfirmationResponse($expectedMessage);

        // then
        $this->assertSame($expectedMessage, $model->getMessage());
    }
}
