/*browser:true*/
/*global define*/
define(
    [
        'jquery',
        'ko',
        'Magento_Checkout/js/view/payment/default',
        'mage/url',
    ],
    function ($, ko, Component, urlBuilder) {
        'use strict';

        return Component.extend({
            defaults: {
                template: 'Evidente_Aircash/payments/aircash'
            },
            redirectAfterPlaceOrder: false,
            afterPlaceOrder: function () {
                const transactionCodeUrl = urlBuilder.build('aircash/checkout/payment');
                window.location.replace(transactionCodeUrl);
            }
        });
    }
);
